export default {
  methods: {
    backTrackingResolver(gen,active) {
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      const generation = this.generation.activeModels.find(item => item.generation == gen).generation

      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId)
        item.rankInIndicator = currentGroup.rankInIndicator
        item.rankInDisenroll = currentGroup.rankInDisenroll
      })


      if(active < 4){
        return {
          applyCount:{
            label:'选科人数比'
          },
          prmarySituation:{
            label:'超/缺',
            slot: 'underOver'
          },
          rankInGroup:{
            label:'当前组合实时排名'
          },
          rankInGrade:{
            label:'选科全校排名'
          }
        }
      }else {
        return {

        }
      }
    }
  }
}
